function TrimLeft(str)
{
  while (str.substring(0,1) == ' '){
    str = str.substring(1, str.length);
  }
  return str;
}

function TrimRight(str)
{
  while (str.substring(str.length-1, str.length) == ' '){
    str = str.substring(0,str.length-1);
  }
  return str;
}

function TrimAll(str)
{
  while (str.substring(0,1) == ' '){
    str = str.substring(1, str.length);
  }
  while (str.substring(str.length-1, str.length) == ' '){
    str = str.substring(0,str.length-1);
  }
  return str;
}